%define	name		transcode
%define	version		1.0.5
%define release		%mkrel 4
%define distsuffix plf

%define	rname		%{name}-%version
%define build_pvm 0
%{?_without_pvm:		%{expand: %%global build_pvm 0}}
%{?_with_pvm:			%{expand: %%global build_pvm 1}}
%define build_dv 1
%define build_freetype 1
%define build_quicktime 1
%define build_theora 1

%define avifilever 0.7.39-0.20041117

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A linux video stream processing utility
License: 	GPL
Group: 		Video
Url:		http://www.transcoding.org
Source:		http://www.jakemsr.com/transcode/%{rname}.tar.bz2
Patch: transcode-1.0.5-nuv.patch
# (Anssi 02/2008) libMagick renamed to libMagickCore
# instead of hardcoding the library name, configure script should use
# pkg-config --libs (which is already used) for the symbol check as well
# This patch just modifies the hardcode:
Patch1:		transcode-1.0.5-magickcore.patch
Patch3: transcode-1.0.0rc1-lzo2.patch.bz2
Requires:	avifile >= %avifilever
Buildrequires:	libavifile-devel >= %avifilever
Buildrequires:	ImageMagick-devel
Buildrequires:	SDL-devel
Buildrequires:	XFree86-devel
Buildrequires:	gtk-devel
Buildrequires:	lcms-devel
BuildRequires: libffmpeg-devel >= 0.4.9
%if %build_dv
Buildrequires:	libdv-devel >= 0.99
%endif
Buildrequires:	libdvdread-devel
%if %build_freetype
BuildRequires:	freetype2-devel
%endif
BuildRequires:	liblame-devel
BuildRequires:	libmjpegtools-devel
BuildRequires:	liba52dec-devel
BuildRequires:  libfame-devel >= 0.9
BuildRequires:	liblzo-devel
BuildRequires:	libnetpbm-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libxml2-devel
BuildRequires:  xpm-devel
BuildRequires:	libmpeg2dec-devel
%if %build_quicktime
BuildRequires:  libquicktime-devel >= 0.9.3
%endif
%if %build_theora
BuildRequires:  libtheora-devel
%endif
%if %build_pvm
BuildRequires:  libpvm-devel >= 3.4
%endif
#gw these are requirements of the plf version of libMagick-devel
BuildRequires: libjasper-devel
BuildRequires: libjbig-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
transcode is a text-console video stream processing
tool. Decoding and encoding is done by loading shared library modules
that are responsible for feeding transcode with raw RGB/PCM streams 
(import module) and encoding the frames (export module). It supports
elementary video and audio frame transformations.
Some example modules are included to enable import
of MPEG program streams (VOB), Digital Video (DV), or YUV video 
and export modules for writing DivX;-), OpenDivX, or uncompressed AVI files. 
A set of tools is available to extract and decode the sources into 
raw video/audio streams for import and to enable post-processing of AVI files.

This package is in PLF as it could violate some patents.


%prep
%setup -q -n %rname
%patch -p1
%if %{mdkversion} >= 200810
%patch1 -p1
%endif
%patch3 -p1
aclocal
autoconf
%build
#export CPPFLAGS=-DLIBQUICKTIME_000904
%ifarch %ix86
export CPPFLAGS="$CPPFLAGS -mmmx"
%endif
%configure2_5x \
--enable-a52-default-decoder --without-libmpeg3 --with-qt --enable-text \
--with-default-xvid=xvid4 \
%if %build_dv
--enable-libdv \
%endif
%if %build_pvm
--with-pvm3-lib=/usr/share/pvm3/lib/LINUX/ \
%else
 --disable-pvm3 \
%endif
--enable-imagemagick --with-magick-exec-prefix=$(pwd) \
--enable-mjpegtools \
--enable-netstream \
--enable-ogg --enable-vorbis \
%if %build_theora
 --enable-theora \
%endif
%if %build_quicktime
--enable-libquicktime \
%endif
--enable-lzo --with-lzo-includes=%_includedir/lzo \
--enable-libxml2 \
--enable-a52 \
--enable-sdl \
--enable-gtk \
--enable-v4l \
--enable-avifile \
--enable-libfame \
--enable-oss \
%if %build_freetype
--enable-freetype2
%else
--disable-freetype2
%endif

%make 

%install
rm -rf %buildroot installed-docs
%makeinstall transform=""
for file in `find $RPM_BUILD_ROOT -name "*.la"`; do
	perl -pi -e 's|'$RPM_BUILD_DIR'/%{rname}/||g' $file
done
mv %buildroot/%_datadir/doc/transcode installed-docs

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc installed-docs/*
%_bindir/transcode
%_bindir/tccat
%_bindir/aviindex
%_bindir/avimerge
%_bindir/avisplit
%_bindir/tcdemux
%_bindir/tcprobe
%_bindir/avifix
%_bindir/tcscan
%_bindir/tcextract
%_bindir/avisync
%_bindir/tcdecode
%_bindir/tcmodinfo
%_bindir/tcxmlcheck
%_bindir/tcxpm2rgb
%_bindir/tcmp3cut
%_bindir/tcrequant
%if %build_pvm
%_bindir/tcpvmexportd
%endif
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/a52_decore.la
%{_libdir}/%{name}/a52_decore.so
%{_libdir}/%{name}/af6_decore.la
%{_libdir}/%{name}/af6_decore.so
%{_libdir}/%{name}/export_ac3.la
%{_libdir}/%{name}/export_ac3.so
%{_libdir}/%{name}/export_af6.conf
%{_libdir}/%{name}/export_af6.la
%{_libdir}/%{name}/export_af6.so
%{_libdir}/%{name}/export_debugppm.la
%{_libdir}/%{name}/export_debugppm.so
%{_libdir}/%{name}/export_divx4.la
%{_libdir}/%{name}/export_divx4.so
%{_libdir}/%{name}/export_divx4raw.la
%{_libdir}/%{name}/export_divx4raw.so
%{_libdir}/%{name}/export_divx5.la
%{_libdir}/%{name}/export_divx5.so
%{_libdir}/%{name}/export_divx5raw.la
%{_libdir}/%{name}/export_divx5raw.so
%if %build_dv
%{_libdir}/%{name}/export_dv.la
%{_libdir}/%{name}/export_dv.so
%{_libdir}/%{name}/export_dvraw.la
%{_libdir}/%{name}/export_dvraw.so
%endif
%{_libdir}/%{name}/export_fame.la
%{_libdir}/%{name}/export_fame.so
%{_libdir}/%{name}/export_ffmpeg.la
%{_libdir}/%{name}/export_ffmpeg.so
%{_libdir}/%{name}/export_im.la
%{_libdir}/%{name}/export_im.so
%{_libdir}/%{name}/export_jpg.la
%{_libdir}/%{name}/export_jpg.so
%{_libdir}/%{name}/export_lame.la
%{_libdir}/%{name}/export_lame.so
%{_libdir}/%{name}/export_lzo.la
%{_libdir}/%{name}/export_lzo.so
%{_libdir}/%{name}/export_mjpeg.la
%{_libdir}/%{name}/export_mjpeg.so
%if %build_quicktime
%{_libdir}/%{name}/export_mov.la
%{_libdir}/%{name}/export_mov.so
%endif
%{_libdir}/%{name}/export_mp1e.la
%{_libdir}/%{name}/export_mp1e.so
%{_libdir}/%{name}/export_mp2.la
%{_libdir}/%{name}/export_mp2.so
%{_libdir}/%{name}/export_mp2enc.la
%{_libdir}/%{name}/export_mp2enc.so
%{_libdir}/%{name}/export_mpeg2enc.la
%{_libdir}/%{name}/export_mpeg2enc.so
%{_libdir}/%{name}/export_net.la
%{_libdir}/%{name}/export_net.so
%{_libdir}/%{name}/export_null.la
%{_libdir}/%{name}/export_null.so
%{_libdir}/%{name}/export_ogg.la
%{_libdir}/%{name}/export_ogg.so
%{_libdir}/%{name}/export_pcm.la
%{_libdir}/%{name}/export_pcm.so
%{_libdir}/%{name}/export_ppm.la
%{_libdir}/%{name}/export_ppm.so
%{_libdir}/%{name}/export_pvn.la
%{_libdir}/%{name}/export_pvn.so
%{_libdir}/%{name}/export_raw.la
%{_libdir}/%{name}/export_raw.so
%{_libdir}/%{name}/export_toolame.la
%{_libdir}/%{name}/export_toolame.so
%{_libdir}/%{name}/export_wav.la
%{_libdir}/%{name}/export_wav.so
%{_libdir}/%{name}/export_xvid.so
%{_libdir}/%{name}/export_xvid2.la
%{_libdir}/%{name}/export_xvid2.so
%{_libdir}/%{name}/export_xvid3.la
%{_libdir}/%{name}/export_xvid3.so
%{_libdir}/%{name}/export_xvid4.la
%{_libdir}/%{name}/export_xvid4.so
%{_libdir}/%{name}/export_yuv4mpeg.la
%{_libdir}/%{name}/export_yuv4mpeg.so
%{_libdir}/%{name}/filter_29to23.la
%{_libdir}/%{name}/filter_29to23.so
%{_libdir}/%{name}/filter_32detect.la
%{_libdir}/%{name}/filter_32detect.so
%{_libdir}/%{name}/filter_32drop.la
%{_libdir}/%{name}/filter_32drop.so
%{_libdir}/%{name}/filter_aclip.la
%{_libdir}/%{name}/filter_aclip.so
%{_libdir}/%{name}/filter_ascii.la
%{_libdir}/%{name}/filter_ascii.so
%{_libdir}/%{name}/filter_astat.la
%{_libdir}/%{name}/filter_astat.so
%{_libdir}/%{name}/filter_clone.la
%{_libdir}/%{name}/filter_clone.so
%{_libdir}/%{name}/filter_compare.la
%{_libdir}/%{name}/filter_compare.so
%{_libdir}/%{name}/filter_control.la
%{_libdir}/%{name}/filter_control.so
%{_libdir}/%{name}/filter_cpaudio.la
%{_libdir}/%{name}/filter_cpaudio.so
%{_libdir}/%{name}/filter_cshift.la
%{_libdir}/%{name}/filter_cshift.so
%{_libdir}/%{name}/filter_cut.la
%{_libdir}/%{name}/filter_cut.so
%{_libdir}/%{name}/filter_decimate.la
%{_libdir}/%{name}/filter_decimate.so
%{_libdir}/%{name}/filter_denoise3d.la
%{_libdir}/%{name}/filter_denoise3d.so
%{_libdir}/%{name}/filter_detectclipping.la
%{_libdir}/%{name}/filter_detectclipping.so
%{_libdir}/%{name}/filter_detectsilence.la
%{_libdir}/%{name}/filter_detectsilence.so
%{_libdir}/%{name}/filter_dilyuvmmx.la
%{_libdir}/%{name}/filter_dilyuvmmx.so
%{_libdir}/%{name}/filter_divxkey.la
%{_libdir}/%{name}/filter_divxkey.so
%{_libdir}/%{name}/filter_dnr.la
%{_libdir}/%{name}/filter_dnr.so
%{_libdir}/%{name}/filter_doublefps.la
%{_libdir}/%{name}/filter_doublefps.so
%{_libdir}/%{name}/filter_extsub.la
%{_libdir}/%{name}/filter_extsub.so
%{_libdir}/%{name}/filter_extsub2.la
%{_libdir}/%{name}/filter_extsub2.so
%{_libdir}/%{name}/filter_facemask.la
%{_libdir}/%{name}/filter_facemask.so
%{_libdir}/%{name}/filter_fieldanalysis.la
%{_libdir}/%{name}/filter_fieldanalysis.so
%{_libdir}/%{name}/filter_fields.la
%{_libdir}/%{name}/filter_fields.so
%{_libdir}/%{name}/filter_fps.la
%{_libdir}/%{name}/filter_fps.so
%{_libdir}/%{name}/filter_hqdn3d.la
%{_libdir}/%{name}/filter_hqdn3d.so
%{_libdir}/%{name}/filter_invert.la
%{_libdir}/%{name}/filter_invert.so
%{_libdir}/%{name}/filter_ivtc.la
%{_libdir}/%{name}/filter_ivtc.so
%{_libdir}/%{name}/filter_levels.la
%{_libdir}/%{name}/filter_levels.so
%{_libdir}/%{name}/filter_list.awk
%{_libdir}/%{name}/filter_logo.la
%{_libdir}/%{name}/filter_logo.so
%{_libdir}/%{name}/filter_logoaway.la
%{_libdir}/%{name}/filter_logoaway.so
%{_libdir}/%{name}/filter_lowpass.la
%{_libdir}/%{name}/filter_lowpass.so
%{_libdir}/%{name}/filter_mask.la
%{_libdir}/%{name}/filter_mask.so
%{_libdir}/%{name}/filter_modfps.la
%{_libdir}/%{name}/filter_modfps.so
%{_libdir}/%{name}/filter_msharpen.la
%{_libdir}/%{name}/filter_msharpen.so
%{_libdir}/%{name}/filter_nored.la
%{_libdir}/%{name}/filter_nored.so
%{_libdir}/%{name}/filter_normalize.la
%{_libdir}/%{name}/filter_normalize.so
%{_libdir}/%{name}/filter_null.la
%{_libdir}/%{name}/filter_null.so
#%{_libdir}/%{name}/filter_pp.la
#%{_libdir}/%{name}/filter_pp.so
%{_libdir}/%{name}/filter_preview.la
%{_libdir}/%{name}/filter_preview.so
%{_libdir}/%{name}/filter_pv.la
%{_libdir}/%{name}/filter_pv.so
%{_libdir}/%{name}/filter_resample.la
%{_libdir}/%{name}/filter_resample.so
%{_libdir}/%{name}/filter_skip.la
%{_libdir}/%{name}/filter_skip.so
%{_libdir}/%{name}/filter_slowmo.la
%{_libdir}/%{name}/filter_slowmo.so
%{_libdir}/%{name}/filter_smartbob.la
%{_libdir}/%{name}/filter_smartbob.so
%{_libdir}/%{name}/filter_smartdeinter.la
%{_libdir}/%{name}/filter_smartdeinter.so
%{_libdir}/%{name}/filter_smartyuv.la
%{_libdir}/%{name}/filter_smartyuv.so
%{_libdir}/%{name}/filter_smooth.la
%{_libdir}/%{name}/filter_smooth.so
%{_libdir}/%{name}/filter_tc_audio.la
%{_libdir}/%{name}/filter_tc_audio.so
%{_libdir}/%{name}/filter_tc_video.la
%{_libdir}/%{name}/filter_tc_video.so
%{_libdir}/%{name}/filter_test.la
%{_libdir}/%{name}/filter_test.so
%{_libdir}/%{name}/filter_testframe.la
%{_libdir}/%{name}/filter_testframe.so
%{_libdir}/%{name}/filter_tomsmocomp.la
%{_libdir}/%{name}/filter_tomsmocomp.so
%if %build_freetype
%{_libdir}/%{name}/filter_subtitler.la
%{_libdir}/%{name}/filter_subtitler.so
%{_libdir}/%{name}/filter_text.la
%{_libdir}/%{name}/filter_text.so
%endif
%{_libdir}/%{name}/filter_unsharp.la
%{_libdir}/%{name}/filter_unsharp.so
%{_libdir}/%{name}/filter_videocore.la
%{_libdir}/%{name}/filter_videocore.so
%{_libdir}/%{name}/filter_whitebalance.la
%{_libdir}/%{name}/filter_whitebalance.so
%{_libdir}/%{name}/filter_xsharpen.la
%{_libdir}/%{name}/filter_xsharpen.so
%{_libdir}/%{name}/filter_yuvdenoise.la
%{_libdir}/%{name}/filter_yuvdenoise.so
%{_libdir}/%{name}/filter_yuvmedian.la
%{_libdir}/%{name}/filter_yuvmedian.so
%{_libdir}/%{name}/filter_yuy2toyv12.la
%{_libdir}/%{name}/filter_yuy2toyv12.so
%{_libdir}/%{name}/import_ac3.la
%{_libdir}/%{name}/import_ac3.so
%{_libdir}/%{name}/import_af6.la
%{_libdir}/%{name}/import_af6.so
%{_libdir}/%{name}/import_avi.la
%{_libdir}/%{name}/import_avi.so
%{_libdir}/%{name}/import_bsdav.la
%{_libdir}/%{name}/import_bsdav.so
%{_libdir}/%{name}/import_divx.la
%{_libdir}/%{name}/import_divx.so
%{_libdir}/%{name}/import_dv.la
%{_libdir}/%{name}/import_dv.so
%{_libdir}/%{name}/import_dvd.la
%{_libdir}/%{name}/import_dvd.so
%{_libdir}/%{name}/import_ffbin.la
%{_libdir}/%{name}/import_ffbin.so
%{_libdir}/%{name}/import_ffmpeg.la
%{_libdir}/%{name}/import_ffmpeg.so
%{_libdir}/%{name}/import_fraps.la
%{_libdir}/%{name}/import_fraps.so
%{_libdir}/%{name}/import_im.la
%{_libdir}/%{name}/import_im.so
%{_libdir}/%{name}/import_imlist.la
%{_libdir}/%{name}/import_imlist.so
%{_libdir}/%{name}/import_lav.la
%{_libdir}/%{name}/import_lav.so
%{_libdir}/%{name}/import_lzo.la
%{_libdir}/%{name}/import_lzo.so
%if %build_quicktime
%{_libdir}/%{name}/import_mov.la
%{_libdir}/%{name}/import_mov.so
%endif
%{_libdir}/%{name}/import_mp3.la
%{_libdir}/%{name}/import_mp3.so
%{_libdir}/%{name}/import_mpeg2.la
%{_libdir}/%{name}/import_mpeg2.so
%{_libdir}/%{name}/import_mplayer.la
%{_libdir}/%{name}/import_mplayer.so
%{_libdir}/%{name}/import_net.la
%{_libdir}/%{name}/import_net.so
%{_libdir}/%{name}/import_null.la
%{_libdir}/%{name}/import_null.so
%{_libdir}/%{name}/import_nuv.la
%{_libdir}/%{name}/import_nuv.so
%{_libdir}/%{name}/import_nvrec.la
%{_libdir}/%{name}/import_nvrec.so
%{_libdir}/%{name}/import_ogg.la
%{_libdir}/%{name}/import_ogg.so
%{_libdir}/%{name}/import_oss.la
%{_libdir}/%{name}/import_oss.so
%{_libdir}/%{name}/import_pvn.la
%{_libdir}/%{name}/import_pvn.so
%{_libdir}/%{name}/import_raw.la
%{_libdir}/%{name}/import_raw.so
%{_libdir}/%{name}/import_rawlist.la
%{_libdir}/%{name}/import_rawlist.so
%{_libdir}/%{name}/import_sh.la
%{_libdir}/%{name}/import_sh.so
%{_libdir}/%{name}/import_v4l.la
%{_libdir}/%{name}/import_v4l.so
%{_libdir}/%{name}/import_v4l2.la
%{_libdir}/%{name}/import_v4l2.so
%{_libdir}/%{name}/import_vdrac3.la
%{_libdir}/%{name}/import_vdrac3.so
%{_libdir}/%{name}/import_vnc.la
%{_libdir}/%{name}/import_vnc.so
%{_libdir}/%{name}/import_vob.la
%{_libdir}/%{name}/import_vob.so
%{_libdir}/%{name}/import_xml.la
%{_libdir}/%{name}/import_xml.so
%{_libdir}/%{name}/import_xvid.la
%{_libdir}/%{name}/import_xvid.so
%{_libdir}/%{name}/import_yuv.la
%{_libdir}/%{name}/import_yuv.so
%{_libdir}/%{name}/import_yuv4mpeg.la
%{_libdir}/%{name}/import_yuv4mpeg.so
%{_libdir}/%{name}/parse_csv.awk
%{_libdir}/%{name}/xvid2.cfg
%{_libdir}/%{name}/xvid3.cfg
%{_libdir}/%{name}/xvid4.cfg
%{_mandir}/man1/*

%changelog
* Sun Feb 10 2008 Anssi Hannula <anssi@zarb.org> 1.0.5-4plf2008.1
- fix build with new libmagick on cooker (P1)

* Tue Feb 05 2008 Anssi Hannula <anssi@zarb.org> 1.0.5-3plf2008.1
- fix buildrequires for lib64

* Fri Jan 18 2008 Götz Waschk <goetz@zarb.org> 1.0.5-2plf2008.1
- rebuild for new amrnb

* Mon Jan 14 2008 Götz Waschk <goetz@zarb.org> 1.0.5-1plf2008.1
- patch to fix nuv import build
- spec file cleanup
- drop dirac patch
- new version

* Fri Jan  4 2008 Götz Waschk <goetz@zarb.org> 1.0.4-2plf2008.1
- rebuild for new imagemagick

* Fri Oct  5 2007 Götz Waschk <goetz@zarb.org> 1.0.4-1plf2008.0
- update file list
- new version

* Fri May 11 2007 Götz Waschk <goetz@zarb.org> 1.0.3-3plf2008.0
- enable dirac support

* Wed Apr 18 2007 Götz Waschk <goetz@zarb.org> 1.0.3-2plf2008.0
- use liba52 as default ac3 decoder

* Tue Apr 17 2007 Götz Waschk <goetz@zarb.org> 1.0.3-1plf2007.1
- drop patches 0,1,2,4
- new version

* Sun Feb 18 2007 Götz Waschk <goetz@zarb.org> 1.0.2-10plf2007.1
- fix build
- reubild for new Magick

* Mon Sep 25 2006 Götz Waschk <goetz@zarb.org> 1.0.2-9plf2007.0
- drop wrong buildrequires for libfpx-devel

* Thu Aug 31 2006 Götz Waschk <goetz@zarb.org> 1.0.2-8plf2007.0
- patch for new ffmpeg
- rebuild for new Magick

* Thu Jun 08 2006 Götz Waschk <goetz@zarb.org> 1.0.2-7plf
- rebuild for new Magick

* Mon Apr  3 2006 Götz Waschk <goetz@zarb.org> 1.0.2-6plf
- fix bug #114 (lockup of dvdrip)

* Thu Mar 09 2006 Götz Waschk <goetz@zarb.org> 1.0.2-5plf
- rebuild for new ffmpeg

* Sun Mar 05 2006 Götz Waschk <goetz@zarb.org> 1.0.2-4plf
- rebuild for new libMagick

* Mon Jan 30 2006 Götz Waschk <goetz@zarb.org> 1.0.2-3plf
- rebuild

* Mon Jan 30 2006 Götz Waschk <goetz@zarb.org> 1.0.2-2plf
- rebuild for new Magick

* Wed Dec 28 2005 Götz Waschk <goetz@zarb.org> 1.0.2-1plf
- New release 1.0.2

* Mon Dec 19 2005 Götz Waschk <goetz@zarb.org> 1.0.1-3plf
- build without libpostproc

* Mon Oct 10 2005 Götz Waschk <goetz@zarb.org> 1.0.1-2plf
- rebuild for new mjpegtools

* Sun Oct  9 2005 Götz Waschk <goetz@zarb.org> 1.0.1-1plf
- drop patch 1
- New release 1.0.1

* Sun Sep 11 2005 Guillaume Rousse <guillomovitch@zarb.org> 1.0.0-5plf
- rebuild for new Magick also on x86_64

* Wed Aug 24 2005 Götz Waschk <goetz@zarb.org> 1.0.0-4plf
- rebuild for new Magick

* Sat Aug 13 2005 Götz Waschk <goetz@zarb.org> 1.0.0-3plf
- rebuild for new mjpegtools

* Fri Jul 15 2005 Götz Waschk <goetz@zarb.org> 1.0.0-2plf
- build freetype plugin on stable too

* Tue Jul 12 2005 Götz Waschk <goetz@zarb.org> 1.0.0-1plf
- update file list
- enable freetype on Cooker
- enable oss
- drop patch 2
- new version

* Tue Jun 28 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.rc1.2plf
- rebuild for new liblzo

* Mon Jun 27 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.rc1.1plf
- update file list
- small patch for gcc 4
- drop patch 0
- new version

* Fri Jun 24 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.beta3.6plf
- enable mmx to make it build
- rebuild for new libMagick

* Wed Jun  1 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.beta3.5plf
- rebuild for new liblzo

* Fri May 27 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.beta3.4plf
- patch for new libquicktime

* Sat May 23 2005 trem <trem@zarb.org> 1.0.0-0.beta3.3plf
- add libmpeg2dec-devel in buildrequire (thanks to Jerome Martin)

* Wed May 18 2005 trem <trem@zarb.org> 1.0.0-0.beta3.2plf
- fix for amd64

* Wed May 18 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.beta3.1plf
- update file list
- patch for gcc4
- new version

* Fri Apr  8 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.beta2.2plf
- use the mkrel macro

* Wed Mar 16 2005 Götz Waschk <goetz@zarb.org> 1.0.0-0.beta2.1plf
- update file list
- drop patch
- drop nasm dep
- new version

* Wed Mar  2 2005 Götz Waschk <goetz@zarb.org> 0.6.14-8plf
- rebuild for new transcode

* Mon Jan 24 2005 Götz Waschk <goetz@zarb.org> 0.6.14-7plf
- fix URL
- patch for new libquicktime
- rebuild for new Magick

* Mon Jan 10 2005 Götz Waschk <goetz@zarb.org> 0.6.14-6plf
- rebuild for new Magick

* Wed Dec 29 2004 Götz Waschk <goetz@zarb.org> 0.6.14-5plf
- rebuild for new Magick

* Wed Nov 24 2004 Götz Waschk <goetz@zarb.org> 0.6.14-4plf
- reenable libfame

* Thu Nov 18 2004 Götz Waschk <goetz@zarb.org> 0.6.14-3plf
- fix 10.0 build

* Thu Nov 18 2004 Götz Waschk <goetz@zarb.org> 0.6.14-2plf
- drop patches and source 1
- enable networking support
- switch to dynamic ffmpeg

* Wed Nov 17 2004 Götz Waschk <goetz@zarb.org> 0.6.14-1plf
- drop patches 0,1
- drop suptitleripper
- disable libfame
- disable freetype
- add static ffmpeg
- update URLs
- new version

* Thu Sep  9 2004 Götz Waschk <goetz@zarb.org> 0.6.12-9plf
- reenable libdv on Cooker with patch from Couriousous

* Thu Jul 29 2004 Götz Waschk <goetz@zarb.org> 0.6.12-8plf
- rebuild for new ImageMagick

* Mon Jul 19 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.12-7plf
- fix filter_preview installation
- disable libdv support on Cooker
- rebuild for new ImageMagick

* Tue Jun 15 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.12-6plf
- fix gcc 3.4 build

* Thu Jun  3 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.12-5plf
- fix description
- new ImageMagick

* Fri Apr  2 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.12-4plf
- enable theora
- new dv

* Sun Feb 29 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.12-3plf
- list all plugins in the spec file
- fix imagemagick build

* Wed Feb 11 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.12-2plf
- add pvm switch
- new libfame

* Sun Jan 11 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.12-1plf
- configure libxvid4 as default xvid version
- remove special CFLAGS, not needed anymore
- new version

* Tue Jan  6 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.11-2plf
- fix docs section
- fix rpmlint problems
- fix cooker build

* Sun Nov 16 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.11-1plf
- don't libtoolize
- add tcrequant
- disable pvm for now
- fix buildrequires
- fix build with newer libpostproc
- new version

* Thu Sep 11 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.10-2plf
- add new binary
- enable PVM

* Tue Sep  9 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.10-1plf
- add new file
- drop patch
- fix buildrequires
- new version

* Sun Aug 10 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.9-1plf
- fix installation
- update package description
- drop patch1
- new version

* Fri Aug  8 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.8-3plf
- new ImageMagick

* Mon Jul 21 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.8-2plf
- patch to fix location of the avifile headers

* Tue Jul  8 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.8-1plf
- add the new binary aviindex
- new version

* Mon Jun  2 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.7-1plf
- drop merged patch
- new version

* Fri May 23 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.6-2plf
- enforce the right libdv version
- add a patch for lame mp3 encoding from the dvd::rip list

* Thu May 22 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.6-1plf
- enable freetype support
- new version

* Mon May 12 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.5-0.20030510.1plf
- drop obsolete patch0
- new snapshot

* Mon May  5 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.4-1plf
- rediff patch 0
- new version

* Fri Apr 11 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.4-0.20030409.2plf
- small install fix for Mandrake 9.0

* Thu Apr 10 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.4-0.20030409.1plf
- update the file list
- build with libfame0.9
- rediff patch 0
- new versions

* Wed Apr  9 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.4-0.20030318.2plf
- build with the new dvdread version

* Wed Mar 19 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.4-0.20030318.1plf
- patch xvidcvs module to dlopen our libxvidcore.so.3
- new snapshot

* Wed Mar 12 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.4-0.20030311.1plf
- drop patch 1
- new snapshot

* Thu Feb 13 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-3plf
- enable quicktime support

* Fri Feb  7 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-2plf
- add patch from dvd::rip for applying filters in pause mode

* Fri Jan 31 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-1plf
- add missing libxpm4-devel buildrequires (thanks Charles A Edwards)
- drop merged patch1
- 0.6.3 final

* Wed Jan 29 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-0.20030123.3plf
- rebuild for new ImageMagick

* Wed Jan 29 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-0.20030123.2plf
- patch to fix a problem with hackVideo-DVDRip

* Fri Jan 24 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-0.20030123.1plf
- ad tcmodinfo to file list
- reenable avifile support
- new prerelease

* Wed Jan 22 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-0.20030116.2plf
- disable avifile support

* Mon Jan 20 2003 Götz Waschk <goetz@plf.zarb.org> 0.6.3-0.20030116.1plf
- fix build on 9.0
- new version

* Fri Jan 10 2003 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.3-0.20030109.2plf
- remove conflict with libffmpeg, replaced by a patch

* Fri Jan 10 2003 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.3-0.20030109.1plf
- new cvs snapshot

* Tue Jan  7 2003 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.3-0.20021219.3plf
- rebuild against latest libMagick 

* Sun Jan  5 2003 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.3-0.20021219.2plf
- rebuild with the right libMagick version from Cooker (5.5.2)

* Sun Dec 29 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.3-0.20021219.1plf
- new version (bugfix)

* Sat Dec 21 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-3plf
- disable external libavcodec

* Wed Dec 11 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-2plf
- really disable libmpeg3 
- fix buildrequires

* Sun Nov 24 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-1plf
- 0.6.2 final

* Tue Nov 19 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-0.20021114.3plf
- merge subtitleripper package

* Mon Nov 18 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-0.20021114.2plf
- build with mplayer postproc library

* Mon Nov 18 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-0.20021114.1plf
- remove unpackaged docs
- new snapshot

* Mon Oct 28 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.2-0.20021024.1plf
- buildrequires liblzo-devel 
- new snapshot

* Tue Oct 22 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.1-2plf
- build with mjpegtools 1.6.0

* Mon Sep 23 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.1-1plf
- drop the patch
- 0.6.1

* Mon Sep  9 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.0-4plf
- back to libfame0.8, as 0.9 seems to cause crashes
- buildrequires libffmpeg-devel

* Tue Sep  3 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.6.0-3plf
- buildrequire libfame0.9-devel for now
- disable libmpeg3, obsolete
- don't buildrequire openquicktime, doesn't work

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 0.6.0-2plf
- Rebuild with gcc3.2

* Sat Aug 03 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-1plf
- 0.6.0 final 

* Tue Jul 16 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020711.1plf
- 0.6.0rc3

* Mon Jun 24 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020620.1plf
- 0.6.0rc2
- buildrequires nasm >= 0.98 (Han <han@mijncomputer.nl>)

* Fri Jun 14 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020613.1plf
- 0.6.0rc1
- dropped patch0

* Thu Jun 06 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020529.2plf
- rebuild with libfame 0.9

* Thu Jun 06 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020529.1plf
- 0.6.0pre6-20020529
- fixed doc

* Thu May 16 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020516.1plf
- 0.6.0pre5

* Wed May 15 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020514.1plf
- 0.6.0pre5-20020514

* Tue May 14 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020513.1plf
- 0.6.0pre5-20020513
- build with gcc3.1
- various upgrades (Götz Waschk <waschk@informatik.uni-rostock.de)
 - autoconf 2.5 macro
 - libfame support
 - libmpeg3 support

* Mon May 06 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020503.2plf
- various upgrades (Götz Waschk <waschk@informatik.uni-rostock.de)
 - divx5 patch
 - enabled runtime optimisations 

* Fri May 03 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.20020503.1plf
- 0.6.0pre5-20020503
- simpler release scheme

* Tue Apr 30 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.0.pre5.20020426.1plf
- 0.6.0pre5-20020426
- correct invalid $RPM_BUILD_ROOT references in .la files

* Thu Apr 18 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.pre4.4plf
- various upgrades (Götz Waschk <waschk@informatik.uni-rostock.de)
 - patched internal dvdread to use current libdvdcss
 - buildrequires libmp3lame-devel
 - buildrequires nasm = 0.98
 - no more buildrequires ffmpeg
- corrected changelog (Thierry Vignaud <tvignaud@mandrakesoft.com>)
- buildrequires libdv-devel = 0.9, not libdv-compat

* Mon Apr 15 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.pre4.3plf
- buildrequires ffmpeg,libopenquicktime-devel,libmjpegtools-devel,libdv-compat-devel,nasm,liba52dec-devel
- liba52 as defaut encode
- disable mmx and sse optimisations (we have to run out of the box on any pentium class host)

* Mon Apr 01 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.pre4.2plf
- added missing doc files
- spec cleanup

* Wed Mar 27 2002 Guillaume Rousse <guillomovitch@plf.zarb.org> 0.6.0-0.pre4.1plf
- 0.6.0pre4
- buildrequires freetype2-devel
- added missing la files

* Sun Mar 10 2002 Yves Duret <yduret@mandrakesoft.com> 0.6.0-0.pre3.1mdk
- first mandrake version

* Wed Jul 11 2001 Thomas Östreich
- update to transcode v0.3.3
- small changes suggested by VM

* Tue Jul 10 2001 Thomas Östreich
- update to transcode v0.3.2
- added pkgdir in install section

* Tue Jul 10 2001 Volker Moell <moell@gmx.de>
- Wrote this specfile; first build
